--
-- ### BTree check for decimal and bigint 
-- 
--

drop if exists table t1;
create table t1 ( a decimal(10,4) );
create btree b1 on t1( a );

desc table t1;

insert into t1 values ( '11.0000' );
insert into t1 values ( '12.0' );
insert into t1 values ( '13.99' );
insert into t1 values ( '14.23' );

select a from t1;


drop if exists table t1;
create table t1 ( a decimal(10,1) );
create btree b1 on t1( a );

insert into t1 values ( '11.124' );
insert into t1 values ( '12.34' );
insert into t1 values ( '0.987' );
insert into t1 values ( '1.23987' );

select a from t1;

drop if exists table t1;
create table t1 ( a bigint(25) );
create btree b1 on t1( a );

insert into t1 values ( 234566 );
insert into t1 values ( 5634543 );
insert into t1 values ( 25454543 );
insert into t1 values ( (bigint)23545444445435978 );



select a from t1;

drop table t1;


